-- AstroCommunity: import any community modules here
-- We import this file in `lazy_setup.lua` before the `plugins/` folder.
-- This guarantees that the specs are processed before any user plugins.

---@type LazySpec
return {
	"AstroNvim/astrocommunity",
	{ import = "astrocommunity.recipes.telescope-lsp-mappings" },
	{ import = "astrocommunity.pack.lua" },
	{ import = "astrocommunity.completion.copilot-lua" },
	{
		"copilot.lua",
		opts = {
			suggestion = {
				keymap = {
					accept = "<A-k>",
					accept_word = "<C-e>",
					accept_line = "<C-L>",
					next = "<A-l>",
					prev = "<A-h>",
					dismiss = "<C/>",
				},
			},
		},
	},
}
