-- Customize Mason plugins

---@type LazySpec
return {
	-- use mason-lspconfig to configure LSP installations
	{
		"williamboman/mason-lspconfig.nvim",
		-- overrides `require("mason-lspconfig").setup(...)`
		opts = {
			ensure_installed = {
				"lua_ls",
				"ts_ls",
				"gopls",
				"yamlls",
				"jsonls",
				"tailwindcss",
				"eslint",
				-- add more arguments for adding more language servers
			},
		},
	},
	-- use mason-null-ls to configure Formatters/Linter installation for null-ls sources
	{
		"jay-babu/mason-null-ls.nvim",
		-- overrides `require("mason-null-ls").setup(...)`
		opts = {
			ensure_installed = {
				"stylua",
				"prettier",
				-- add more arguments for adding more null-ls sources
			},
		},
	},
	{
		"jay-babu/mason-nvim-dap.nvim",
		-- overrides `require("mason-nvim-dap").setup(...)`
		enabled = false,
		opts = {
			ensure_installed = {
				"typescript",
				-- add more arguments for adding more debuggers
			},
		},
	},
}
